### Method

# Gimp Config deserialize_parasite

#### Declaration [src]

    gboolean
    gimp_config_deserialize_parasite (
      GimpConfig* config,
      const GimpParasite* parasite,
      gpointer data,
      GError** error
    )

#### Description [src]

Configures `config` from `parasite`. Basically this function creates a properly configured `GScanner` for you and calls the deserialize function of the `config`‘s `GimpConfigInterface`.

Available since: | 3.0

#### Parameters

`parasite` | `GimpParasite`
| Parasite containing a serialized config string.
| The data is owned by the caller of the function.
`data` | `gpointer`
| Client data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if deserialization succeeded, `FALSE` otherwise.